<template>
  <div class="col-md-2 col-sm-12 col-xs-12">
    <q-item class="q-pa-none q-ml-xs" :class="bgColor">
      <q-item-section class=" q-pa-md q-ml-none" :class="textColor">
        <q-item-label class="text-h6 text-center" :class="textColor">{{value}}</q-item-label>
        <q-item-label class="text-center">{{label}}</q-item-label>
      </q-item-section>
    </q-item>
  </div>
</template>

<script>
export default {
  name: "TextMetric",
  props: {
    bgColor: {
      type: String,
      default: "primary",
    },
    textColor: {
      type: String,
      default: "white"
    },
    value: {
      type: [Number,String],
      default: ""
    },
    label: {
      type: String,
      default: ""
    }
  },
  mounted() {
  }

}
</script>

<style>

</style>
